<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<!-- 吊旗 -->
<style>
    .p {
        color: green;
        font-weight: 400;
    }
</style>
<body>
<div class="big_box">
    <div class="left_div">
        <h1 class="h1">吊旗</h1> <span style="color:red;font-weight:700;"></span>
        <hr>
        <form class="layui-form">
            <input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="13">
            <p>材质</p>
            <div class="kindValue">
                <input type="radio" lay-filter="kindValue" name="kindValue" value="2" title="300克铜版纸" checked="checked">
                <input type="radio" lay-filter="kindValue" name="kindValue" value="1" title="200克铜版纸">
                <input type="radio" lay-filter="kindValue" name="kindValue" value="0" title="157克铜版纸">
            </div>
            <p>
                尺寸(CM/厘米) <span style="font-size:14px;color:red">输入格式: 长 * 宽</span>
                <!--<span class="ui_normal_size"><input type="checkbox" name="normalSize" lay-filter="ui_normal_size" title="通用款"></span>-->
            </p>
            <div class="layui-form-item ui_cg">
                <input type="text" placeholder="格式:长*宽" name="size" id="size" class="layui-input" autocomplete="off">
            </div>
            <div class="ui_normal">
                <input type="radio" name="size" value="28.5*21" title="28.5*21cm" checked="checked">
                <input type="radio" name="size" value="28.5*42" title="28.5*42cm">
                <input type="hidden" name="kind1Label" id="kind1Label" value="">
            </div>
            <p>
                数量（个）
            </p>
            <div class="layui-form-item ui_cg">
                <select name="count" id="count" class="select">
                    <option value="10">10</option>
                    <option value="20">20</option>
                    <option value="30">30</option>
                    <option value="50">50</option>
                    <option value="100">100</option>
                    <option value="200">200</option>
                    <option value="500">500</option>
                </select>
            </div>
            <div class="ui_normal">
                <select name="count" id="count1" class="select">
                    <option value="100">100</option>
                    <option value="200">200</option>
                    <option value="500">500</option>
                </select>
            </div>
            <p><span style="font-size:14px;color:red">提示:数量超过500个请以 [ 宣传单 - 商务200克铜版纸 - 异形模切 ] 报价</span></p>
            <p>
                款数
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1" class="layui-input" lay-verify="number">
            </div>
            <p>
                客户旺旺
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang" class="layui-input">
            </div>
            <p>
                形状 <span style="font-size:14px;color:red">(吊旗 - 数量50个以内不限形状;50个及以上默认[ U型 ])</span>
            </p>
            <div>
                <input type="checkbox" lay-filter="craftU" class="craftU" name="craftU" value="U型" title="U型">
            </div>
            <p>
                工艺
            </p>
            <div>
                <input type="checkbox" lay-filter="craft" class="craft" name="craft" value="绳子" title="绳子">
                <span class="ui_sz">
						<input type="text" placeholder="请输入绳子长度" name="ui_sz_size" style="width: 100px"/>米
					</span>
            </div>
            <div class="layui-input-block">
                <input type="checkbox" name="craft" lay-filter="ui_craft" value="抠图" title="抠图">
                <div class="layui-inline crop" style="display:none;width: 80px">
                    <input class="layui-input" type="text" name="cropNumber">
                </div>
            </div>
            <hr>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult" onclick="copyResult()">点击复制</button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFeeTooWeight.jsp" %>
            </div>
            <!--<h2>下单备注-<button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult" onclick="copyBz()">点击复制</button></h2>
            <div>
                <textarea rows="5" cols="75" id="bz_result" readonly="readonly"></textarea>
            </div>-->
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<script src="../../js/carousel.js" charset="utf-8"></script>
<%@include file="/views/copyResult.jsp" %>
<script>
    layui.use(['table', 'form'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var table = layui.table;
        $(".ui_normal").hide();
        $(".ui_normal").find(":input").attr("disabled", true);
        $(".ui_sz").hide();
        $(".ui_sz").find(":input").attr("disabled", true);

        // 监听数量--50个以上勾选复选框 [U型]
        form.on('select(count)', function (data) {
            if (data.value >= 50) {
                $('input[class = craftU]').prop('checked', true);
                // $(".craftU").attr("disabled", true);
            } else {
                $('input[class = craftU]').prop('checked', false);
            }
            form.render();
        });

        //监听材质
        form.on('radio(kindValue)', function (data) {
            if (data.value == 2) {
                $(".ui_normal_size").show();
            } else {
                $(".ui_normal_size").hide();
            }
        });

        // 监听U型按钮，50个以上取消提示做其他产品
        form.on('checkbox(craftU)', function (data) {
            var kindValue = $('input[name="kindValue"]:checked').val();
            var count = $("#count option:checked").val();
            if (count >= 50) {
                if (!data.elem.checked) {
                    if (kindValue == 2) {
                        layer.msg("[ 吊旗 - 300克铜版纸 ] 50个以上，取消[ U型 ]请以  [ 卡片 - 名片 ] 报价", {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    } else if (kindValue == 1) {
                        layer.msg("[ 吊旗 - 200克铜版纸 ] 50个及以上，取消[ U型 ]请以  [ 宣传单 - 商务200克铜版纸 ] 报价", {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    } else if (kindValue == 0) {
                        layer.msg("[ 吊旗 - 157克铜版纸 ] 50个及以上，取消[ U型 ]请以  [ 宣传单  - 商务157克铜版纸 ] 报价", {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                }
            }
        });

        form.on('checkbox(ui_normal_size)', function (data) {
            if (data.elem.checked) {
                $(".ui_normal").show();
                $(".ui_normal").find(":input").attr("disabled", false);
                $(".ui_cg").hide();
                $(".ui_cg").find(":input").attr("disabled", true);
                $("#kind1Label").attr("value", 2);
                $('input[class = craftU]').prop('checked', true);
            } else {
                $(".ui_cg").show();
                $(".ui_cg").find(":input").attr("disabled", false);
                $(".ui_normal").hide();
                $(".ui_normal").find(":input").attr("disabled", true);
                $('input[class = craftU]').prop('checked', false);
                $("#kind1Label").attr("value", "");
            }
            form.render('checkbox');
        });

        form.on('checkbox(craft)', function (data) {
            if (data.elem.checked) {
                $(".ui_sz").show();
                $(".ui_sz").find(":input").attr("disabled", false);
            } else {
                $(".ui_sz").hide();
                $(".ui_sz").find(":input").attr("disabled", true);
            }
            form.render('checkbox');
        });
        form.on('checkbox(ui_craft)', function (data) {
            let craft_list = [];
            let kindValue = $('input[name="kindValue"]:checked').val();
            craft_list.push($("select[name='craft'] option:selected").val());
            $("input[name='craft']:checked").each(function () {
                if (!$(this).is(':disabled')) {
                    craft_list.push($(this).val());
                }
            });

            if (data.value == '抠图') {
                $(".crop").hide();
                $(".crop").find("input").prop("disabled", true)
                if (data.elem.checked) {
                    $(".crop").show();
                    $(".crop").find("input").prop("disabled", false)
                }
            }
            form.render();
        })
        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {
            var kindValue = $('input[name="kindValue"]:checked').val()
            var count = $("#count option:checked").val();
            if (!$(".craftU").is(':checked') && kindValue == 2 && count >= 50) {
                layer.msg("[ 吊旗 - 300克铜版纸 ] 50个及以上，取消[ U型 ]请以  [ 卡片 - 名片 ] 报价", {offset: ['300px', '300px']}, function () {
                });
                return false;
            } else if (!$(".craftU").is(':checked') && kindValue == 1 && count >= 50) {
                layer.msg("[ 吊旗 - 200克铜版纸 ] 50个及以上，取消[ U型 ]请以  [ 宣传单 - 商务200克铜版纸 ] 报价", {offset: ['300px', '300px']}, function () {
                });
                return false;
            } else if (!$(".craftU").is(':checked') && kindValue == 0 && count >= 50) {
                layer.msg("[ 吊旗 - 157克铜版纸 ] 50个及以上，取消[ U型 ]请以  [ 宣传单  - 商务157克铜版纸 ] 报价", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            var kindData = {
                2: "300克铜版纸",
                1: "200克铜版纸",
                0: "157克铜版纸"
            };
            var kind = kindData[kindValue];
            var size = $("#size").val();
            var number = $("#number").val();
            var kind1Label = $("#kind1Label").val();
            if ((size.split("*")[0] > 73 || size.split("*")[1] > 56) && (size.split("*")[0] > 56 || size.split("*")[1] > 73)) {
                layer.msg("[ 吊旗  ] 尺寸超过 73*56 cm的请以  [ 卡片 - 名片 ] 报价", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if (size.indexOf("*") < 0 && kind1Label != 2) {
                layer.msg('请填写尺寸！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            var sz_size = $("input[name='ui_sz_size']").val();
            if ($("input[name='craft']:checked").val() == "绳子") {
                if (sz_size == "") {
                    layer.msg('请输入绳子长度！', {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
            }
            var arr = [];
            $("input:checkbox[name='craftU']:checked").each(function (i) {
                if (!$(this).is(':disabled')) {
                    if ($(this).val() == "抠图") {
                        arr.push($(this).val() + $("input[name='cropNumber']").val());
                        return;
                    }
                    arr.push($(this).val());
                }
            });
            $.ajax({
                url: "${path}/getThanSum",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    var data = result.data.proList;
                    if (kind1Label == "2") {
                        size = $("input[name='size']:checked").val();
                        kind += "(通用款)";
                    }
                    if ($("input[name='craft']:checked").val() == "绳子") {
                        arr.push(",绳子" + sz_size + "米");
                    }
                    var span_result = '吊旗 - ' + kind + ' - ' + size + ' CM -(同款内容)\n';
                    if (arr.length > 0) {
                        span_result += "工艺：" + arr.join(",") + '\n';
                    }
                    if (number > 1) {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 各' + data[i].count + "个，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    } else {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 ' + data[i].count + "个，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    }
                    span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                    if (window.parent.system_isGai) {
                        span_result += "\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                    }
                    addLog(span_result);
                    $("#span_result").val(span_result);

                    var count = $("#count option:selected").val();
                    getRemark("吊旗", size, count + "个", kind, number, arr, "");
                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'price',
                                width: '16%',
                                align: "center",
                                title: '报价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '16%',
                                title: '折扣价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '19%',
                                title: '跳楼价'
                            }, {
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    });
</script>
</html>